require "msise90"

iyd = 2002001
alt = 100.0
glat = 0.0
glong = 100.0
stl = 0.0
sec = 3600*(stl-glong/15)
f107a = 135.0
f107 = 135.0
ap = 8.0   # Float or Array of 7 elements
mass = 48

p res = Msise90.gtd6_(iyd,sec,alt,glat,glong,stl,f107a,f107,ap,mass)
p res.keys.sort

ap = [30.0, 100.0, 100.0, 100.0, 100.0, 100.0, 100.0]
Msise90.tselec_( [1.0]*8 + [-1.0] + [1.0]*16 )    # To use 7-element Ap
p res = Msise90.gtd6_(iyd,sec,alt,glat,glong,stl,f107a,f107,ap,mass)
